3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php $password = 'test'; $salt = 'testtesttesttesttesttesttest'; // pre-calculated hash using PHP 5.4 and the new flag $2y$ $hash = '$2y$10$testtesttesttesttesttetsVhdqssnPoru2WOCEBbSFwYnOfjwmG'; if (version_compare(PHP_VERSION, '5.3.7', '<')) { $hash = substr('$2y$','$2a$', $hash); } if ($hash === crypt($password, $hash)) { echo "OK!\n"; } else { echo "ERROR\n"; }
Output for 5.3.7 - 5.6.28, hhvm-3.10.0 - 3.12.0, 7.0.0 - 7.1.0
OK!
Output for 5.3.0 - 5.3.6
Warning: substr() expects parameter 2 to be long, string given in /in/aYov7 on line 9 ERROR
Output for 4.3.0 - 5.2.17
ERROR